/*
 * 
 */
package de.intevation.gnv.servlet;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;

import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;
import org.apache.struts.action.ActionServlet;

import de.intevation.gnv.propertiesreader.PropertiesReaderFactory;

/**
 * 
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class GNVActionServlet extends ActionServlet {
    /**
     * the logger, used to log exceptions and additonaly information
     */
    private static Logger log = null;
    
    static {
        BasicConfigurator.configure();
        log = Logger.getLogger(GNVActionServlet.class);
    }
    
    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = 3597396283436383943L;

    /**
     * @see javax.servlet.GenericServlet#init(javax.servlet.ServletConfig)
     */
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        log.info("PropertiesReader will be configured.");
        PropertiesReaderFactory.getInstance().initPropertiesReader(config);
     }
}
