/**
 *
 */
package de.intevation.gnv.action.sessionmodel;

import java.util.Collection;

import de.intevation.gnv.artifactdatabase.objects.ArtifactObject;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public interface SessionModel {
    
    Collection<ArtifactObject> getArtifactFactories();
    
    void setArtifacteFactories(Collection<ArtifactObject> artifactFactories);
    
    void selectArtifactFactory(String artiFactFactoryId);
    
    ArtifactObject getSelectedArtifactFactory();
    
    ArtifactObject getCurrentArtifact();
    
    void setCurrentArtifact(ArtifactObject artifact);

}
